# SHINS

SHARK-NIR Instrument control Software

- [Wiki](https://www.ict.inaf.it/gitlab/davide.ricci/shins/-/wikis/Home)
- [Contributors](https://www.ict.inaf.it/gitlab/davide.ricci/shins/-/project_members)
- [Tickets](https://www.ict.inaf.it/gitlab/davide.ricci/shins/-/issues)

# Quick clone, compile and install

```bash
git clone https://www.ict.inaf.it/gitlab/davide.ricci/shins.git
git submodule update --recursive --remote
make -f Makefile.cvs
./configure --prefix=/opt/tan
cd shins/src/
cd lbto/; make -j8 install
cd ../tcs_iif/; make -j8 install
cd ../iif/; make -j8 install # takes a while
cd ../util; make -j8 install
cd ../track_ctrl/drot; make -j8 install
cd ../../tiptilt_ctrl/bcu/; make -j8 install
cd ../; make -j8 install
cd ../obs_ctrl; make -j8 install
cd ../scripts; make install

# For editing of OBs from shins user
sudo chgrp oapd /opt/tan/share/shins/saved/
sudo chmod g+s /opt/tan/share/shins/saved/

# For shins user:
su - shins
ln -s /opt/tan/share/shins/saved/
```

