// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/DeviceFactory.h 975 2018-10-31 09:24:04Z depa $
#pragma once
// #include "basda/service/bcu/worker/Device.h"
#include "tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/Device.h"


#include <boost/shared_ptr.hpp>


namespace Sharknir { namespace Bcu {

class DeviceFactory
{
public:
    virtual DevicePtr buildDevice()= 0;
    virtual ~DeviceFactory()= 0;
};

typedef boost::shared_ptr<DeviceFactory> DeviceFactoryPtr;

}
}

