/*
* $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/iif/Interface/Ltcs/Iif/Station.h 300 2017-11-21 09:45:39Z depa $
* @author R. J. Mathar
* @since 2017-01-17
*/

#pragma once

#include <string>

namespace Ltcs
{
	/** enumeration
	*/
	enum IifFstatio { PRIME, DIRECT, FRONT, BACK, CENTER } ;

	/**
	* @brief This class represents one Gregorian or focal station.
	*/
	class IifStation
	{
	public:

		IifStation(const enum IifFstatio fstat = BACK) ;
		IifStation(const std::string & fstat) ;
#if 0
		~IifStation() ;
#endif

		std::string toString() const ;

		enum IifFstatio f;
	protected:
	private:
	} ;
}
